<script lang="ts">
    export let num = 0
    export let stream: MediaStreamTrack | string = ""
    let refc: HTMLAudioElement
    
    $: updateStream(stream)

    function updateStream(_stream: MediaStreamTrack|string){
        if(refc != null && typeof(_stream) !== 'string'){
            refc.srcObject = new MediaStream([_stream])
        }
    }
</script>

<div class="flex items-center justify-center p-1 pt-10">
    <div class="w-full flex flex-col items-center">
        <audio id="remoteSource{num}" class="relative w-4/5" bind:this="{refc}" controls autoplay>

        </audio>
        <div class="mt-2">
            Remote Stream {num}
        </div>
    </div>
</div>